
package ejemploherencia1;

public class SubClase1 extends Superior implements SuperiorInterface, SuperiorInterface2 {
    
    public SubClase1() {
        super();
        numero*=10;
    }  
    
    public SubClase1(int numero, int factor) {
        super(numero);
        this.numero = numero * factor;
    }  

    @Override
    public void metodoInterface() {
        System.out.println("metodo implementado por asumir interface 1");
    }
    
    @Override
    public void metodoInterface2() {
        System.out.println("metodo implementado por asumir interface 2");
    }     
    
    public void visualizarCadena() {
        System.out.println("--------------------------------------------------------------------------");
        System.out.println("VISUALIZADO DESDE visualizarCadena SOBRESCRITO");
        System.out.println("--------------------------------------------------------------------------");
        super.visualizarCadena();
        System.out.println("Cadena de SubClase1 sobrescribiendo"); 
        super.setNumero(38);
        System.out.println("Número modificado desde el método visualizarCadena : "+super.getNumero());
    }
   
    public void visualizarOtraCadena() {
        System.out.println("--------------------------------------------------------------------------");
        System.out.println("VISUALIZADO DESDE visualizarOtraCadena");
        System.out.println("--------------------------------------------------------------------------");
        System.out.println("Cadena de SubClase1");
        super.setNumero(59);
        System.out.println("Número modificado desde el método visualizarOtraCadena : "+super.getNumero());         
         
    }      
}
